Bug 64207 - up2date crashes solving RPM inter-dependencies
up2date crashes solving RPM inter-dependencies
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-29 05:40 EDT by Francesco De Biasio
Modified: 2015-01-07 18:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-04 17:17:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Francesco De Biasio 2002-04-29 05:40:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
When I issue the command:
up2date -u


up2date fails testing package. this is the error message:
Retrieving list of all available packages...

Removing installed packages from list of updates...
########################################

Removing packages marked to skip from list...
########################################

Getting headers for available packages...
########################################

Removing packages with files marked to skip from list...
########################################

Testing package set / solving RPM inter-dependencies...
########################################
RPM conflict error.  The message was:
Test install failed because of package conflicts:
package bash-2.04-21 is already installed
package psmisc-19-4 is already installed



-------


it' s true that bash-2.04-21 and psmisc-19-4 were already installed
on the pc, but why should up2date consider this occurrence as a problem?

moreover, I'm  not able to update the system at all, which make the system
completely un-upgradable.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.update -u


Actual Results:  Retrieving list of all available packages...

Removing installed packages from list of updates...
########################################

Removing packages marked to skip from list...
########################################

Getting headers for available packages...
########################################

Removing packages with files marked to skip from list...
########################################

Testing package set / solving RPM inter-dependencies...
########################################
RPM conflict error.  The message was:
Test install failed because of package conflicts:
package bash-2.04-21 is already installed
package psmisc-19-4 is already installed



Additional info:

I'm not able to change keyboard and mouse configuration, nor any other security
bug can be fixed because up2date definitely crashes whitout installing or ever
downloading any package, including the kernel updates and up2date itself!!
Comment 1 Adrian Likins 2002-05-08 13:36:26 EDT
can you try "up2date up2date" and trying this with the latest
version of the update client?
Comment 2 Francesco De Biasio 2002-05-09 12:55:59 EDT
Hello all!

I finally succeded in updating my linux!!!
there was a conflict, infact, due to the bash and  psmisc:
...
package bash-2.04-21 is already installed
package psmisc-19-4 is already installed
...

this prevented the up2date program in doing what was to do.
I think this was due because there were problems in the rpm database:
bash and psmisc required to be reinstalled with the --force option.
having done this, up2date worked fine.

I think that up2date should resort to this option by default when tryng to update the system.
thanks
francesco 

Comment 3 Need Real Name 2002-07-04 17:17:28 EDT
I'm new to Red Hat, and Linux in general.  I am having difficulties using the
up2date feature.  I was able to update the kernal package by itself, and the
mozilla package by itself.  But when using up2date for the entire list, it
doesn't get far. It freezes up, and doesn't recover.  I'm not well versed in the
technical aspects of all this, I just know when a program doesn't work.  What to do?
Comment 4 Adrian Likins 2002-08-08 23:18:22 EDT
Current erratated versions should work fine, if not
please reopen this bug report with more details.

Note You need to log in before you can comment on or make changes to this bug.